Con                                                         
                                                         
  _CLKMODE = XTAL1 + PLL16X                              
  _XINFREQ = 5_000_000  
  ACK = $06
  NAK = $0f
  
Var
          
Obj
                                                      
  lcd  : "fullduplexserial"
          
Pub main | a,x,y

  waitcnt(clkfreq*2+cnt)       'wait 2 seconds for display to initialize
  lcd.start(17, 16, 0, 115200)
  
  lcd.rxflush                  'clear the screen
  lcd.tx($ff)
  lcd.tx($cd)
  get_ack
  
  lcd.tx($ff)                  'print a X to the screen
  lcd.tx($fe)
  lcd.tx($00)
  lcd.tx("X")
  get_ack
  
  line(20, 0, 239, 200, $ffff) 'draw a white line across the screen
  get_ack
      
  repeat
  
Pub Get_Ack

  if lcd.rxtime(1000) == ACK
    return true
  else
    return false
          
Pub Line(xstart, ystart, xend, yend, color) 

  lcd.rxflush
  lcd.tx($ff)
  lcd.tx($c8)
  lcd.tx(xstart >> 8)
  lcd.tx(xstart & $ff)
  lcd.tx(ystart >> 8)
  lcd.tx(ystart & $ff)
  lcd.tx(xend >> 8)  
  lcd.tx(xend & $ff) 
  lcd.tx(yend >> 8)  
  lcd.tx(yend & $ff) 
  lcd.tx(color >> 8)
  lcd.tx(color & $ff)
  